#
#########################################################################
#
# makefile for The Hessling Editor (THE)
#
# You need the following environment variable set like:
# THE_SRCDIR=c:\the
# REGINA_SRCDIR=c:\regina
# REGINA_BINDIR=c:\regina
#
#########################################################################
#

TARGET=dos
SYSTEM=causeway
#SYSTEM=dos4g
#SYSTEM=dos32a
THE_TARGET=MSDOS

#########################################################################
# Watcom  compiler on Win32
#########################################################################
SRC       = $(%THE_SRCDIR)
THESRC    = $(SRC)\src
PDCSRC    = $(SRC)\src\PDCursesMod
WATCOMSRC = $(%WATCOM)\src\startup
#CURSLIB   = $(%PDCURSES_HOMEDIR)\$(SYSTEM)\pdcurses.lib
CURSINC   = /i=$(PDCSRC)
CURSLIB   = $(PDCURSESLIB)
REXXINC   = /i=$(%REGINA_SRCDIR) /DUSE_REGINA
REGINALIB   = $(%REGINA_BINDIR)\regina.lib
REGUTILLIB   = $(%REGINA_BINDIR)\regutil.lib


!ifndef CURSES
CURSES=DOS
!endif

!ifeq CURSES DOS
PDC_DIR=dos
THE_BINARY=the-con.exe
PDC_WIDE=
THE_WIDE=
!endif

!ifeq CURSES DOSW
THE_BINARY=the-conw.exe
!error No WIDE support for DOS port
!endif

!ifeq CURSES VGAW
PDC_DIR=dosvga
THE_BINARY=the-vgaw.exe
PDC_WIDE=/DPDC_WIDE
THE_WIDE=/DUSE_WIDE_CHAR
!endif

!ifeq TRACE Y
TRACEO=the-obj/trace.obj
TRACEF=/DTHE_TRACE
!else
TRACEF=
TRACEO=
!endif

PDCPDCSRC = $(SRC)\src\PDCursesMod\pdcurses
PDCDOSSRC = $(SRC)\src\PDCursesMod\$(PDC_DIR)

PROJ      = the.exe
OBJ       = obj
CC        = *wcc386

#use DOS32A dos extender; doesn't seem to work
#DOSEXT=-l=dos32a

!include $(SRC)\the.ver

CCFLAGS      = /bt=$(TARGET) $(DOSEXT) /zq /mf /DSTDC_HEADERS /DHAVE_PROTO=1 /D__WATCOM_LFN__ $(PDC_WIDE) $(CURSINC) $(TRACEF) /fo=$@
!ifeq DEBUG Y
CFLAGSTHE    = /d2 /DDEBUG /D$(THE_TARGET) $(PDC_WIDE) $(THE_WIDE) /i=$(THESRC) $(REXXINC) $(CCFLAGS)
CFLAGSPDC    = /d2 /DDEBUG /DDOS $(CCFLAGS)
LDEBUG    = debug dwarf all op q, noext
!else
CFLAGSTHE    = /oneatx /DNDEBUG /D$(THE_TARGET) $(THE_WIDE) /i=$(THESRC) $(REXXINC) $(CCFLAGS)
CFLAGSPDC    = /oneatx /DOS /DNDEBUG $(CCFLAGS)
LDEBUG    = op q, noext
DEBUG     = N
!endif
LD        = *wlink
XTRAOBJ   = the-obj/mygetopt.obj
docdir = doc

#########################################################################
#
#
# THE Object files
#
OBJ1 = the-obj/box.$(OBJ) the-obj/colour.$(OBJ) the-obj/comm1.$(OBJ) the-obj/comm2.$(OBJ) the-obj/comm3.$(OBJ) the-obj/comm4.$(OBJ) the-obj/comm5.$(OBJ) &
	the-obj/commset1.$(OBJ) the-obj/commset2.$(OBJ) the-obj/commsos.$(OBJ) the-obj/cursor.$(OBJ) the-obj/default.$(OBJ) &
	the-obj/edit.$(OBJ) the-obj/error.$(OBJ) the-obj/execute.$(OBJ) the-obj/linked.$(OBJ) the-obj/column.obj the-obj/mouse.obj the-obj/memory.obj &
	the-obj/nonansi.$(OBJ) the-obj/prefix.$(OBJ) the-obj/parser.$(OBJ) the-obj/reserved.$(OBJ) the-obj/scroll.$(OBJ) the-obj/show.$(OBJ) the-obj/sort.$(OBJ) &
	the-obj/target.$(OBJ) the-obj/the.$(OBJ) the-obj/util.$(OBJ) the-obj/print.$(OBJ) the-obj/regex.obj the-obj/alloca.obj
OBJ2 = the-obj/commutil.$(OBJ) $(TRACEO)
OBJ3 = the-obj/getch.$(OBJ)
OBJ4 = the-obj/query.$(OBJ) the-obj/query1.$(OBJ) the-obj/query2.$(OBJ)
OBJ5 = the-obj/thematch.$(OBJ)
OBJ6 = the-obj/directry.$(OBJ) the-obj/file.$(OBJ)
OBJ7 = the-obj/rexx.$(OBJ)
OBJ8 = #./wildargv.$(OBJ)
OBJX = $(XTRAOBJ)
OBJS = $(OBJ1) $(OBJ2) $(OBJ3) $(OBJ4) $(OBJ5) $(OBJ6) $(OBJ7) $(OBJ8) $(OBJX)

OBJEXECTHE = ./execthe.$(OBJ) the-obj/mygetopt.$(OBJ) ./ggets.$(OBJ) ./getline.$(OBJ)

PDCLIBOBJS = pdc-obj\addch.$(OBJ) pdc-obj\addchstr.$(OBJ) pdc-obj\addstr.$(OBJ) pdc-obj\attr.$(OBJ) pdc-obj\beep.$(OBJ) &
	pdc-obj\bkgd.$(OBJ) pdc-obj\border.$(OBJ) pdc-obj\clear.$(OBJ) pdc-obj\color.$(OBJ) pdc-obj\delch.$(OBJ) pdc-obj\deleteln.$(OBJ) &
	pdc-obj\getch.$(OBJ) pdc-obj\getstr.$(OBJ) pdc-obj\getyx.$(OBJ) pdc-obj\inch.$(OBJ) pdc-obj\inchstr.$(OBJ) &
	pdc-obj\initscr.$(OBJ) pdc-obj\inopts.$(OBJ) pdc-obj\insch.$(OBJ) pdc-obj\insstr.$(OBJ) pdc-obj\instr.$(OBJ) pdc-obj\kernel.$(OBJ) &
	pdc-obj\keyname.$(OBJ) pdc-obj\mouse.$(OBJ) pdc-obj\move.$(OBJ) pdc-obj\outopts.$(OBJ) pdc-obj\overlay.$(OBJ) pdc-obj\pad.$(OBJ) &
	pdc-obj\panel.$(OBJ) pdc-obj\printw.$(OBJ) pdc-obj\refresh.$(OBJ) pdc-obj\scanw.$(OBJ) pdc-obj\scr_dump.$(OBJ) pdc-obj\scroll.$(OBJ) &
	pdc-obj\slk.$(OBJ) pdc-obj\termattr.$(OBJ) pdc-obj\touch.$(OBJ) pdc-obj\util.$(OBJ) pdc-obj\window.$(OBJ) pdc-obj\debug.$(OBJ)

PDCOBJS = pdc-obj\pdcclip.$(OBJ) pdc-obj\pdcdisp.$(OBJ) pdc-obj\pdcgetsc.$(OBJ) pdc-obj\pdckbd.$(OBJ) pdc-obj\pdcscrn.$(OBJ) &
	pdc-obj\pdcsetsc.$(OBJ) pdc-obj\pdcutil.$(OBJ)
#########################################################################

APPENDIX = $(SRC)appendix.1
GLOSSARY = $(SRC)glossary

all: the-obj pdc-obj how thever.h $(THE_BINARY) $(PROJ)

how: .SYMBOLIC
	echo wmake -f $(SRC)\wccdos4g.mak DEBUG=$(DEBUG) CURSES=$(CURSES) > rebuild.bat

the-obj: .SYMBOLIC
	-mkdir the-obj

pdc-obj: .SYMBOLIC
	-mkdir pdc-obj
#
#########################################################################
$(THE_BINARY):	$(OBJS) $(PDCLIBOBJS) $(PDCOBJS)
	@%create dummy.lnk
#	@%append dummy.lnk  option quiet
#	@%append dummy.lnk  option map
	@%append dummy.lnk  option stack=256k
	@%append dummy.lnk  system $(SYSTEM)
	@%append dummy.lnk  name $(THE_BINARY)
#	@%append dummy.lnk  file $(OBJ8)
	@%append dummy.lnk  file the-obj/*.obj
	@%append dummy.lnk  file pdc-obj/*.obj
#	@%append dummy.lnk  library $(CURSLIB)
	@%append dummy.lnk  library $(REGINALIB)
	@%append dummy.lnk  library $(REGUTILLIB)
	$(LD) $(LDEBUG) $(LDFLAGS) @dummy.lnk
	%erase dummy.lnk

$(PROJ):	$(OBJEXECTHE)
	@%create dummy.lnk
	@%append dummy.lnk  option quiet
	@%append dummy.lnk  option map
	@%append dummy.lnk  option stack=256k
	@%append dummy.lnk  system $(SYSTEM)
	@%append dummy.lnk  name the.exe
	@%append dummy.lnk  file ./execthe.$(OBJ)
	@%append dummy.lnk  file ./getline.$(OBJ)
	@%append dummy.lnk  file ./ggets.$(OBJ)
#	@%append dummy.lnk  file $(OBJ8)
	@%append dummy.lnk  file the-obj/mygetopt.$(OBJ)
	$(LD) $(LDEBUG) $(LDFLAGS) @dummy.lnk
	%erase dummy.lnk
#########################################################################
the-obj/box.obj:	$(THESRC)\box.c $(THESRC)\the.h $(THESRC)\thedefs.h $(THESRC)\proto.h
	$(CC) $(CFLAGSTHE) $[@
the-obj/colour.obj:	$(THESRC)\colour.c $(THESRC)\the.h $(THESRC)\thedefs.h $(THESRC)\proto.h
	$(CC) $(CFLAGSTHE) $[@
the-obj/comm1.obj:	$(THESRC)\comm1.c $(THESRC)\the.h $(THESRC)\thedefs.h $(THESRC)\proto.h
	$(CC) $(CFLAGSTHE) $[@
the-obj/comm2.obj:	$(THESRC)\comm2.c $(THESRC)\the.h $(THESRC)\thedefs.h $(THESRC)\proto.h
	$(CC) $(CFLAGSTHE) $[@
the-obj/comm3.obj:	$(THESRC)\comm3.c $(THESRC)\the.h $(THESRC)\thedefs.h $(THESRC)\proto.h
	$(CC) $(CFLAGSTHE) $[@
the-obj/comm4.obj:	$(THESRC)\comm4.c $(THESRC)\the.h $(THESRC)\thedefs.h $(THESRC)\proto.h
	$(CC) $(CFLAGSTHE) $[@
the-obj/comm5.obj:	$(THESRC)\comm5.c $(THESRC)\the.h $(THESRC)\thedefs.h $(THESRC)\proto.h
	$(CC) $(CFLAGSTHE) $[@
the-obj/commset1.obj:	$(THESRC)\commset1.c $(THESRC)\the.h $(THESRC)\thedefs.h $(THESRC)\proto.h
	$(CC) $(CFLAGSTHE) $[@
the-obj/commset2.obj:	$(THESRC)\commset2.c $(THESRC)\the.h $(THESRC)\thedefs.h $(THESRC)\proto.h
	$(CC) $(CFLAGSTHE) $[@
the-obj/commsos.obj:	$(THESRC)\commsos.c $(THESRC)\the.h $(THESRC)\thedefs.h $(THESRC)\proto.h
	$(CC) $(CFLAGSTHE) $[@
the-obj/cursor.obj:	$(THESRC)\cursor.c $(THESRC)\the.h $(THESRC)\thedefs.h $(THESRC)\proto.h
	$(CC) $(CFLAGSTHE) $[@
the-obj/default.obj:	$(THESRC)\default.c $(THESRC)\the.h $(THESRC)\thedefs.h $(THESRC)\proto.h
	$(CC) $(CFLAGSTHE) $[@
the-obj/edit.obj:	$(THESRC)\edit.c $(THESRC)\the.h $(THESRC)\thedefs.h $(THESRC)\proto.h
	$(CC) $(CFLAGSTHE) $[@
the-obj/error.obj:	$(THESRC)\error.c $(THESRC)\the.h $(THESRC)\thedefs.h $(THESRC)\proto.h
	$(CC) $(CFLAGSTHE) $[@
the-obj/execute.obj:	$(THESRC)\execute.c $(THESRC)\the.h $(THESRC)\thedefs.h $(THESRC)\proto.h
	$(CC) $(CFLAGSTHE) $[@
the-obj/linked.obj:	$(THESRC)\linked.c $(THESRC)\the.h $(THESRC)\thedefs.h $(THESRC)\proto.h
	$(CC) $(CFLAGSTHE) $[@
the-obj/column.obj:	$(THESRC)\column.c $(THESRC)\the.h $(THESRC)\thedefs.h $(THESRC)\proto.h
	$(CC) $(CFLAGSTHE) $[@
the-obj/mouse.obj:	$(THESRC)\mouse.c $(THESRC)\the.h $(THESRC)\thedefs.h $(THESRC)\proto.h
	$(CC) $(CFLAGSTHE) $[@
the-obj/memory.obj:	$(THESRC)\memory.c $(THESRC)\the.h $(THESRC)\thedefs.h $(THESRC)\proto.h
	$(CC) $(CFLAGSTHE) $[@
the-obj/nonansi.obj:	$(THESRC)\nonansi.c $(THESRC)\the.h $(THESRC)\thedefs.h $(THESRC)\proto.h
	$(CC) $(CFLAGSTHE) $[@
the-obj/parser.obj:	$(THESRC)\parser.c $(THESRC)\the.h $(THESRC)\thedefs.h $(THESRC)\proto.h
	$(CC) $(CFLAGSTHE) $[@
the-obj/prefix.obj:	$(THESRC)\prefix.c $(THESRC)\the.h $(THESRC)\thedefs.h $(THESRC)\proto.h
	$(CC) $(CFLAGSTHE) $[@
the-obj/print.obj:	$(THESRC)\print.c $(THESRC)\the.h $(THESRC)\thedefs.h $(THESRC)\proto.h
	$(CC) $(CFLAGSTHE) $[@
the-obj/regex.obj:	$(THESRC)\regex.c $(THESRC)\the.h $(THESRC)\thedefs.h $(THESRC)\proto.h
	$(CC) $(CFLAGSTHE) $[@
the-obj/alloca.obj:	$(THESRC)\alloca.c $(THESRC)\the.h $(THESRC)\thedefs.h $(THESRC)\proto.h
	$(CC) $(CFLAGSTHE) $[@
the-obj/reserved.obj:	$(THESRC)\reserved.c $(THESRC)\the.h $(THESRC)\thedefs.h $(THESRC)\proto.h
	$(CC) $(CFLAGSTHE) $[@
the-obj/scroll.obj:	$(THESRC)\scroll.c $(THESRC)\the.h $(THESRC)\thedefs.h $(THESRC)\proto.h
	$(CC) $(CFLAGSTHE) $[@
the-obj/show.obj:	$(THESRC)\show.c $(THESRC)\the.h $(THESRC)\thedefs.h $(THESRC)\proto.h
	$(CC) $(CFLAGSTHE) $[@
the-obj/sort.obj:	$(THESRC)\sort.c $(THESRC)\the.h $(THESRC)\thedefs.h $(THESRC)\proto.h
	$(CC) $(CFLAGSTHE) $[@
the-obj/target.obj:	$(THESRC)\target.c $(THESRC)\the.h $(THESRC)\thedefs.h $(THESRC)\proto.h
	$(CC) $(CFLAGSTHE) $[@

the-obj/the.obj:	$(THESRC)\the.c $(THESRC)\the.h $(THESRC)\thedefs.h $(THESRC)\proto.h thever.h
	$(CC) $(CFLAGSTHE) $[@
the-obj/util.obj:	$(THESRC)\util.c $(THESRC)\the.h $(THESRC)\thedefs.h $(THESRC)\proto.h
	$(CC) $(CFLAGSTHE) $[@
the-obj/commutil.obj:	$(THESRC)\commutil.c $(THESRC)\the.h $(THESRC)\command.h $(THESRC)\thedefs.h $(THESRC)\proto.h $(THESRC)\getch.h $(THESRC)\key.h
	$(CC) $(CFLAGSTHE) $[@
the-obj/trace.obj:	$(THESRC)\trace.c $(THESRC)\the.h $(THESRC)\command.h $(THESRC)\thedefs.h $(THESRC)\proto.h $(THESRC)\getch.h $(THESRC)\key.h
	$(CC) $(CFLAGSTHE) $[@
the-obj/getch.obj:	$(THESRC)\getch.c $(THESRC)\getch.h $(THESRC)\thedefs.h $(THESRC)\proto.h
	$(CC) $(CFLAGSTHE) $[@
the-obj/query.obj:	$(THESRC)\query.c $(THESRC)\query.h $(THESRC)\the.h $(THESRC)\thedefs.h $(THESRC)\proto.h
	$(CC) $(CFLAGSTHE) $[@
the-obj/query1.obj:	$(THESRC)\query1.c $(THESRC)\query.h $(THESRC)\the.h $(THESRC)\thedefs.h $(THESRC)\proto.h
	$(CC) $(CFLAGSTHE) $[@
the-obj/query2.obj:	$(THESRC)\query2.c $(THESRC)\query.h $(THESRC)\the.h $(THESRC)\thedefs.h $(THESRC)\proto.h
	$(CC) $(CFLAGSTHE) $[@
the-obj/thematch.obj:	$(THESRC)\thematch.c $(THESRC)\the.h $(THESRC)\thematch.h
	$(CC) $(CFLAGSTHE) $[@
the-obj/directry.obj:	$(THESRC)\directry.c $(THESRC)\the.h $(THESRC)\directry.h $(THESRC)\thedefs.h $(THESRC)\proto.h
	$(CC) $(CFLAGSTHE) $[@
the-obj/file.obj:	$(THESRC)\file.c $(THESRC)\the.h $(THESRC)\directry.h $(THESRC)\thedefs.h $(THESRC)\proto.h
	$(CC) $(CFLAGSTHE) $[@
the-obj/rexx.obj:	$(THESRC)\rexx.c $(THESRC)\the.h $(THESRC)\therexx.h $(THESRC)\proto.h $(THESRC)\thedefs.h $(THESRC)\query.h
	$(CC) $(CFLAGSTHE) $[@
the-obj/mygetopt.obj:	$(THESRC)\mygetopt.c
	$(CC) $(CFLAGSTHE) $[@

./wildargv.obj:	$(WATCOMSRC)\wildargv.c
	$(CC) $(CFLAGSTHE) $(WATCOMSRC)\wildargv.c

./execthe.obj:	$(THESRC)\execthe.c $(THESRC)\the.h $(THESRC)\thedefs.h $(THESRC)\proto.h
	$(CC) $(CFLAGSTHE) -I$(SRC)\common\getline $[@
./getline.obj:	$(SRC)\common\getline\getline.c
# os OS/2 remove -D_WITH_GETLINE
	$(CC) $(CFLAGSTHE) -I$(SRC)\common\getline -D_WITH_GETLINE $[@
./ggets.obj:	$(SRC)\common\getline\ggets.c
# os OS/2 remove -D_WITH_GETLINE
	$(CC) $(CFLAGSTHE) -I$(SRC)\common\getline -D_WITH_GETLINE $[@

thever.h: $(SRC)\the.ver
	regina $(SRC)\ver2verh.cmd $< $(CURSES)
#
#########################################################################
pdc-obj/addch.obj:	$(PDCPDCSRC)\addch.c
	$(CC) $(CFLAGSPDC) $[@
pdc-obj/addchstr.obj:	$(PDCPDCSRC)\addchstr.c
	$(CC) $(CFLAGSPDC) $[@
pdc-obj/addstr.obj:	$(PDCPDCSRC)\addstr.c
	$(CC) $(CFLAGSPDC) $[@
pdc-obj/attr.obj:	$(PDCPDCSRC)\attr.c
	$(CC) $(CFLAGSPDC) $[@
pdc-obj/beep.obj:	$(PDCPDCSRC)\beep.c
	$(CC) $(CFLAGSPDC) $[@
pdc-obj/bkgd.obj:	$(PDCPDCSRC)\bkgd.c
	$(CC) $(CFLAGSPDC) $[@
pdc-obj/border.obj:	$(PDCPDCSRC)\border.c
	$(CC) $(CFLAGSPDC) $[@
pdc-obj/clear.obj:	$(PDCPDCSRC)\clear.c
	$(CC) $(CFLAGSPDC) $[@
pdc-obj/color.obj:	$(PDCPDCSRC)\color.c
	$(CC) $(CFLAGSPDC) $[@
pdc-obj/delch.obj:	$(PDCPDCSRC)\delch.c
	$(CC) $(CFLAGSPDC) $[@
pdc-obj/deleteln.obj:	$(PDCPDCSRC)\deleteln.c
	$(CC) $(CFLAGSPDC) $[@
pdc-obj/getch.obj:	$(PDCPDCSRC)\getch.c
	$(CC) $(CFLAGSPDC) $[@
pdc-obj/getstr.obj:	$(PDCPDCSRC)\getstr.c
	$(CC) $(CFLAGSPDC) $[@
pdc-obj/getyx.obj:	$(PDCPDCSRC)\getyx.c
	$(CC) $(CFLAGSPDC) $[@
pdc-obj/inch.obj:	$(PDCPDCSRC)\inch.c
	$(CC) $(CFLAGSPDC) $[@
pdc-obj/inchstr.obj:	$(PDCPDCSRC)\inchstr.c
	$(CC) $(CFLAGSPDC) $[@
pdc-obj/initscr.obj:	$(PDCPDCSRC)\initscr.c
	$(CC) $(CFLAGSPDC) $[@
pdc-obj/inopts.obj:	$(PDCPDCSRC)\inopts.c
	$(CC) $(CFLAGSPDC) $[@
pdc-obj/insch.obj:	$(PDCPDCSRC)\insch.c
	$(CC) $(CFLAGSPDC) $[@
pdc-obj/insstr.obj:	$(PDCPDCSRC)\insstr.c
	$(CC) $(CFLAGSPDC) $[@
pdc-obj/instr.obj:	$(PDCPDCSRC)\instr.c
	$(CC) $(CFLAGSPDC) $[@
pdc-obj/kernel.obj:	$(PDCPDCSRC)\kernel.c
	$(CC) $(CFLAGSPDC) $[@
pdc-obj/keyname.obj:	$(PDCPDCSRC)\keyname.c
	$(CC) $(CFLAGSPDC) $[@
pdc-obj/mouse.obj:	$(PDCPDCSRC)\mouse.c
	$(CC) $(CFLAGSPDC) $[@
pdc-obj/move.obj:	$(PDCPDCSRC)\move.c
	$(CC) $(CFLAGSPDC) $[@
pdc-obj/outopts.obj:	$(PDCPDCSRC)\outopts.c
	$(CC) $(CFLAGSPDC) $[@
pdc-obj/overlay.obj:	$(PDCPDCSRC)\overlay.c
	$(CC) $(CFLAGSPDC) $[@
pdc-obj/pad.obj:	$(PDCPDCSRC)\pad.c
	$(CC) $(CFLAGSPDC) $[@
pdc-obj/panel.obj:	$(PDCPDCSRC)\panel.c
	$(CC) $(CFLAGSPDC) $[@
pdc-obj/printw.obj:	$(PDCPDCSRC)\printw.c
	$(CC) $(CFLAGSPDC) $[@
pdc-obj/refresh.obj:	$(PDCPDCSRC)\refresh.c
	$(CC) $(CFLAGSPDC) $[@
pdc-obj/scanw.obj:	$(PDCPDCSRC)\scanw.c
	$(CC) $(CFLAGSPDC) $[@
pdc-obj/scr_dump.obj:	$(PDCPDCSRC)\scr_dump.c
	$(CC) $(CFLAGSPDC) $[@
pdc-obj/scroll.obj:	$(PDCPDCSRC)\scroll.c
	$(CC) $(CFLAGSPDC) $[@
pdc-obj/slk.obj:	$(PDCPDCSRC)\slk.c
	$(CC) $(CFLAGSPDC) $[@
pdc-obj/termattr.obj:	$(PDCPDCSRC)\termattr.c
	$(CC) $(CFLAGSPDC) $[@
pdc-obj/touch.obj:	$(PDCPDCSRC)\touch.c
	$(CC) $(CFLAGSPDC) $[@
pdc-obj/util.obj:	$(PDCPDCSRC)\util.c
	$(CC) $(CFLAGSPDC) $[@
pdc-obj/window.obj:	$(PDCPDCSRC)\window.c
	$(CC) $(CFLAGSPDC) $[@
pdc-obj/debug.obj:	$(PDCPDCSRC)\debug.c
	$(CC) $(CFLAGSPDC) $[@
pdc-obj/pdcclip.obj:	$(PDCDOSSRC)\pdcclip.c
	$(CC) $(CFLAGSPDC) $[@
pdc-obj/pdcdisp.obj:	$(PDCDOSSRC)\pdcdisp.c
	$(CC) $(CFLAGSPDC) $[@
pdc-obj/pdcgetsc.obj:	$(PDCDOSSRC)\pdcgetsc.c
	$(CC) $(CFLAGSPDC) $[@
pdc-obj/pdckbd.obj:	$(PDCDOSSRC)\pdckbd.c
	$(CC) $(CFLAGSPDC) $[@
pdc-obj/pdcscrn.obj:	$(PDCDOSSRC)\pdcscrn.c
	$(CC) $(CFLAGSPDC) $[@
pdc-obj/pdcsetsc.obj:	$(PDCDOSSRC)\pdcsetsc.c
	$(CC) $(CFLAGSPDC) $[@
pdc-obj/pdcutil.obj:	$(PDCDOSSRC)\pdcutil.c
	$(CC) $(CFLAGSPDC) $[@

zip: .SYMBOLIC
# on OS/2 remove "regina"
	regina $(SRC)\makedist.cmd $(VER) $(VER_DOT) DOSWCC $(SRC) Regina

clean:
	del the-obj\*.*
	del pdc-obj\*.*
	del *.exe
